%global pypi_name mypy-extensions
%global module_name mypy_extensions
%global commitId 4be1606656115c76e978c9400ef5312e29c74646

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.4.3
Release:        1%{?dist}
Summary:        Extensions for mypy (separated out from mypy/extensions)

License:        MIT
URL:            https://github.com/python/mypy_extensions
Source0:        python-mypy-extensions-4be1606656115c76e978c9400ef5312e29c74646.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
The "mypy_extensions" module defines experimental extensions to the
standard "typing" module that are supported by the mypy typechecker

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Extensions for mypy (separated out from mypy/extensions)

%description -n python%{python3_pkgversion}-%{pypi_name}
The "mypy_extensions" module defines experimental extensions to the
standard "typing" module that are supported by the mypy typechecker

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/__pycache__/%{module_name}.cpython-%{python3_version_nodots}*.pyc
%{python3_sitelib}/%{module_name}.py
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Oct 17 2022 Dimitri Savineau <dsavinea@redhat.com> 0.4.3-1
- Initial release
